Bug 1279957 - python rpm requires python-pip
python rpm requires python-pip
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Charalampos Stratakis
Fedora Extras Quality Assurance
:
: 1274820 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 10:17 EST by Haim Daniel
Modified: 2016-12-20 10:36 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:36:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim Daniel 2015-11-10 10:17:06 EST
Description of problem:
python rpm is dependent on python-pip rpm, while it should be the other way around, as it was in Fedora 20 packages and the way it is in RHEL7. 

This causes very bad behavior if removing python-pip, since that causes removal of python, hence dnf/yum and leaves the system in a very messy state.

Version-Release number of selected component (if applicable):
Fedora 22:
python-2.7.10-8.fc23.x86_64
python-pip-7.1.0-1.fc23.noarch

Fedora 23:
python.x86_64 2.7.10-8.fc22
python-pip.noarch 6.0.8-1.fc22 

How reproducible: Always


Steps to Reproduce:
1. dnf remove -y python-pip

Actual results:
system without dnf, python

Expected results:
system with the python-pip only package removed.
Comment 1 Fedora Admin XMLRPC Client 2016-01-29 08:05:41 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Petr Viktorin 2016-01-29 08:30:02 EST
This is an upstream change. Since Python 2.7.9, Python comes with pip: https://docs.python.org/2/library/ensurepip.html

Perhaps we should add it as a weak dependency.
Comment 3 Petr Viktorin 2016-01-29 08:30:13 EST
*** Bug 1274820 has been marked as a duplicate of this bug. ***
Comment 4 Haim Daniel 2016-01-31 01:36:21 EST
@Petr: perhaps the separate rpms are should be reconsidered and python.rpm should include pip as they do it in pip ?
Comment 5 Petr Viktorin 2016-02-01 03:57:28 EST
Well, actualy it's a bit more complicated than just Python bundling Pip.

Pip has a faster release schedule, so Python's bundled copy will be outdated a few months after release. The bundled copy is used by the "ensurepip" module to ensure there's *some* version of Pip in newly created virtual evironments (by default). Users are then expected to upgrade that Pip and keep it up to date -- using Pip itself.

But, Fedora controls the system Pip, and keeps it up to date. Using "ensurepip" in Fedora will not install the (possibly old) Pip bundled with the original Python release, but the one from RPMs. We don't want to rebuild all of Python whenever Pip makes a new release.
All this is in line with upstream recommendations: https://www.python.org/dev/peps/pep-0453/#id49
Comment 7 Fedora End Of Life 2016-11-24 08:15:59 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 10:36:39 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.